Name:           siege
Version:        4.1.6
Release:        %mkrel 1
Summary:        HTTP regression testing and benchmarking utility
Group:          Networking/Other
License:        GPLv2+
URL:            https://www.joedog.org/JoeDog/Siege
Source0:        https://download.joedog.org/siege/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(zlib)

%description
Siege is an HTTP regression testing and benchmarking utility.
It was designed to let web developers measure the performance of their code
under duress, to see how it will stand up to load on the internet.
Siege supports basic authentication, cookies, HTTP and HTTPS protocols.
It allows the user hit a web server with a configurable number of concurrent
simulated users. Those users place the web-server "under siege."

%prep
%setup -q

# Better default for log file (Bug 644631)
sed -i.orig doc/siegerc.in -e 's/^# logfile = *$/logfile = ${HOME}\/siege.log/'

%build
%configure --sysconfdir=%{_sysconfdir}/siege
%make_build

%install
mkdir -p %{buildroot}%{_sysconfdir}/siege
# Create /etc/siege/urls.txt
%make_install

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%{_bindir}/bombardment
%{_bindir}/siege
%{_bindir}/siege.config
%{_bindir}/siege2csv.pl
%{_mandir}/man*/*
%dir %{_sysconfdir}/siege
%config(noreplace) %{_sysconfdir}/siege/urls.txt
%config(noreplace) %{_sysconfdir}/siege/siegerc


%changelog
* Tue Jan 10 2023 daviddavid <daviddavid> 4.1.6-1.mga9
+ Revision: 1932053
- new version: 4.1.6

* Sat Sep 10 2022 papoteur <papoteur> 4.1.5-1.mga9
+ Revision: 1886538
- new 4.1.5

* Thu Mar 17 2022 umeabot <umeabot> 4.0.8-3.mga9
+ Revision: 1796462
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 4.0.8-2.mga9
+ Revision: 1747412
- rebuild for openssl 3.0.0

* Sun Apr 18 2021 daviddavid <daviddavid> 4.0.8-1.mga9
+ Revision: 1716329
- new version: 4.0.8

* Thu Nov 19 2020 daviddavid <daviddavid> 4.0.7-1.mga8
+ Revision: 1647564
- new version: 4.0.7

* Mon Jul 13 2020 daviddavid <daviddavid> 4.0.6-1.mga8
+ Revision: 1605758
- new version: 4.0.6

* Fri Feb 21 2020 daviddavid <daviddavid> 4.0.5-1.mga8
+ Revision: 1548858
- new version: 4.0.5

* Fri Feb 14 2020 umeabot <umeabot> 4.0.4-3.mga8
+ Revision: 1517033
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 4.0.4-2.mga7
+ Revision: 1301021
- Mageia 7 Mass Rebuild

* Tue Apr 24 2018 daviddavid <daviddavid> 4.0.4-1.mga7
+ Revision: 1222113
- new version: 4.0.4
- now libjoedog is part of siege

* Wed Sep 06 2017 cjw <cjw> 3.1.4-2.mga7
+ Revision: 1151666
- rebuild for openssl 1.1

* Fri Mar 04 2016 daviddavid <daviddavid> 3.1.4-1.mga6
+ Revision: 985610
- new version: 3.1.4

* Thu Mar 03 2016 umeabot <umeabot> 3.1.3-3.mga6
+ Revision: 984106
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 3.1.3-1.mga6
+ Revision: 905994
- new version: 3.1.3
- sync patch1 with fc

* Wed Oct 15 2014 umeabot <umeabot> 3.0.8-2.mga5
+ Revision: 743438
- Second Mageia 5 Mass Rebuild

* Sat Oct 11 2014 juancho <juancho> 3.0.8-1.mga5
+ Revision: 738068
- imported package siege


* Thu Sep 11 2014 Fabian Affolter <mail@fabian-affolter.ch> - 3.0.8-1
- Update to new upstream release 3.0.8 (rhbz#1132901)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Roman Mohr <roman@fenkhuber.at> - 3.0.6-1
- upstream 3.0.6
- includes proxy directive
- adds support for HTTP-303

* Mon Nov 18 2013 Roman Mohr <roman@fenkhuber.at> - 3.0.5-1
- upstream 3.0.5
- removing siege-2.78-good.patch
- updating siege-libjoedog.patch

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 20 2013 Roman Mohr <roman@fenkhuber.at> - 3.0.1-2.beta4
- Bug 973822: use released libjoedog instead of bundled library
- no explicit copy of urls.txt and siegerc, make does this already
- fix wrong date in changelog

* Wed May  8 2013 Christof Damian <christof@damian.net> - 3.0.1-1.beta4
- upstream 3.0.1-beta4

* Thu Apr 18 2013 Christof Damian <christof@damian.net> - 3.0.0-2
- aarch64 patch

* Thu Apr 18 2013 Christof Damian <christof@damian.net> - 3.0.0-1
- upstream 3.0.0

* Tue Mar 19 2013 Christof Damian <christof@damian.net> - 2.78-2
- update patch

* Tue Mar 19 2013 Christof Damian <christof@damian.net> - 2.78-1
- upstream 2.78

* Fri Mar  1 2013 Christof Damian <christof@damian.net> - 2.75-1
- updstream 2.75

* Sat Feb 23 2013 Christof Damian <christof@damian.net> - 2.74-1
- upstream 2.74

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.72-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.72-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar  2 2012 Christof Damian <christof@damian.net> - 2.72-2
- added dist tag again

* Fri Mar  2 2012 Christof Damian <christof@damian.net> - 2.72-1
- upstream 2.72

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-3.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.71-2.b3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec  4 2010 Christof Damian <christof@damian.net> - 2.71-1.b3%%{?dist}
- upstream 2.71b3
- Bug 644631 - Bad default logfile path
- Bug 656320 - siege segfaults in glibc's getopt_long() -> __strncmp_sse2()

* Sat Jul 17 2010 Christof Damian <christof@damian.net> - 2.70-1
- upstream 2.70
- fix spelling

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - 2.69-3
- rebuilt with new openssl

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.69-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul  4 2009 Allisson Azevedo <allisson@gmail.com> 2.69-1
- Update to 2.69
- Update Makefile.in patch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.67-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> 2.67-2
- rebuild with new openssl

* Fri May 16 2008 Allisson Azevedo <allisson@gmail.com> 2.67-1
- Update to 2.67
- Update License

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.66-3
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - 2.66-2
 - Rebuild for deps

* Tue Apr 10 2007 Allisson Azevedo <allisson@gmail.com> 2.66-1
- Update to 2.66

* Tue Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-3
- Fix .spec

* Tue Mar 27 2007 Allisson Azevedo <allisson@gmail.com> 2.65-2
- Fix .spec

* Sun Mar 11 2007 Allisson Azevedo <allisson@gmail.com> 2.65-1
- Initial RPM release
